﻿
$ErrorActionPreference = 'Stop';

$packageName= 'gitea'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://dl.gitea.io/gitea/1.9.3/gitea-1.9.3-windows-4.0-386.exe'
$url64      = 'https://dl.gitea.io/gitea/1.9.3/gitea-1.9.3-windows-4.0-amd64.exe'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
  packageName   = $packageName

  url           = $url
  url64bit      = $url64

  softwareName  = 'Gitea'

  checksum      = 'c1d2bbdb14895f9d7ad17935597adc1446b85264fbf5439c0b8be814d338c790'
  checksumType  = 'sha256'
  checksum64    = '023aa45c7b91762f2bc9eb248a465f238f7a414f73968d1d16d84cc509abefdb'
  checksumType64= 'sha256'

  fileFullPath  = "$toolsDir\gitea.exe"

  validExitCodes= @(0)
}

Get-ChocolateyWebFile @packageArgs
